Bug 736330 - [Cantiga] Internal display turned off when playing game in dual monitor setup
Summary: [Cantiga] Internal display turned off when playing game in dual monitor setup
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: dual-monitor
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 12:45 UTC by Kamil Páral
Modified: 2018-04-11 06:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-23 16:14:16 UTC


Attachments (Terms of Use)
Xorg log (59.07 KB, text/plain)
2011-09-07 12:45 UTC, Kamil Páral
no flags Details
xrandr of default monitor state (1.02 KB, text/plain)
2011-09-07 12:46 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2011-09-07 12:45:41 UTC
Description of problem:
When I play some opengl game (like etracer [1] or openarena), it runs on my external display and laptop internal display is turned off. After quitting the game the laptop internal display is not turned back on, it remains off.

A few times it behaved differently, but mostly it works this way.

[1] https://fedoraproject.org/wiki/QA:Testcase_intelvideo_3D_tuxracer

Version-Release number of selected component (if applicable):
gnome-shell-3.1.4-2.gite7b9933.fc16.x86_64
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64
http://www.smolts.org/client/show/pub_aeda99db-0564-4745-aac0-71df754a5e2d

How reproducible:
very often

Steps to Reproduce:
1. have dual monitor setup, set external display as primary
2. run etracer
3. quit etracer
  
Actual results:
laptop display is turned off

Expected results:
laptop display stays on

Comment 1 Kamil Páral 2011-09-07 12:45:58 UTC
Created attachment 521866 [details]
Xorg log

Comment 2 Kamil Páral 2011-09-07 12:46:21 UTC
Created attachment 521867 [details]
xrandr of default monitor state

Comment 3 Matěj Cepl 2011-09-12 15:23:28 UTC
Reassigning to SDL. Problem seems to be that SDL uses xf86vidmode, which doesn't have a clue about multihead at all. It should probably be rewritten to use xrandr, and even that would be difficult.

Comment 4 Fedora Admin XMLRPC Client 2011-09-14 15:47:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Petr Pisar 2012-05-17 07:50:23 UTC
SDL 1.2.14 uses xrandr to switch modes. But it does not have a clue about multihead. SDL 1.2.15 (available in Fedora 18) does not use xrandr by default due to this reason. One control the mode switching mode by SDL_VIDEO_X11_XRANDR environment variable (value `1' to use xrandr, value `0' not to use).

Comment 6 Fedora End Of Life 2013-01-16 17:03:34 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Petr Pisar 2013-01-23 16:14:16 UTC
I believe your problem will is fixed in F18 with SDL-1.2.15. Unfortunately, the whole fullscreen idea with Xorg multihead screen is inconsistent messy construction which cannot work in all cases. Please talk to upstream about ideas how to improve.


Note You need to log in before you can comment on or make changes to this bug.